html {
  scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
}

.wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.logo { 
    width: 250px;
}

.contact {
    position: relative;
    overflow: hidden;
}

.ripped-paper-clip {
    position: relative;
    background-image: url(images/svg/Header.svg);
    width: 100vw;
    height: 100px;
}

nav ul {
    display: flex;
    gap: 20px;
    font-family: "Lato", sans-serif;
    font-weight: 600;
    list-style-type: none;
    text-decoration: none;
    padding: 0;
    margin: 0;
}

nav ul li a {
    color: #3f3f3f;
    transition: color 0.3s ease-in-out;
}

nav ul li a:hover {
    color: #3d66ae;
}

a:-webkit-any-link {
    text-decoration: none;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 0;
    background-color: #ffffff;
    width: 100% !important;
}

.hero {
    background-image: url("images/hero.png");
    background-size: cover;
    padding-top: 80px;
}

h1 {
    font-family: "Carrois Gothic SC", sans-serif;
    font-weight: 500;
    color: #3f3f3f;
    font-size: 50px;
}

h2 {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    color: #3f3f3f;
    font-size: 24px;
}

p {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    color: #3f3f3f;
    line-height: 1.5;
}

.gallery {
    column-count: 3;
    column-gap: 20px;
    margin: 60px 0;
}

.gallery a {
    display: block;
    margin-bottom: 20px;
    break-inside: avoid;
    -webkit-column-break-inside: avoid;
}

.gallery img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 5px;
}

.about {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr .5fr;
    gap: 40px;
    align-items: center;
    grid-template-areas:
        "image text"
        "buttons buttons";
    padding: 60px 0;
}

.about-image-container {
    grid-area: image;
}

.about-text-container {
    grid-area: text;
}

.contact-buttons-container {
    grid-area: buttons;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.contact-buttons-container button {
    padding: 15px;
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-size: 14px;
    color: #ffffff;
    background-color: #c72323;
    border: none;
    border-radius: 40px;
    cursor: pointer;
    margin: 0 200px;
    transition: background-color 0.3s ease-in-out;
}

.contact-buttons-container  button:hover {
    background-color: #3d66ae;
}

.about img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

.services {
    padding: 20px;
}

.services h2 {
    font-weight: 700;
    font-size: 45px;
    text-align: center;
    padding-bottom: 20px;
}

.services-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 2fr;
    gap: 40px;
    padding-bottom: 100px;
}

.service-boxes {
    justify-self: center;
    margin: auto;
    text-align: center;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    padding: 10px 0;
    box-shadow: 0 0 30px rgba(146,176,209,0.3);
    background: linear-gradient(#ffffff, #f2f6fb7e);
    transition: box-shadow 0.3s ease-in-out;
}

.service-boxes:hover {
    box-shadow: 0 0 30px rgba(146,176,209,0.8);
}

.service-boxes h4 {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: #3f3f3f;
    font-size: 24px;
    margin-top: 10px;
}

.service-image {
    width: 60%;
    padding-top: 20px;
}

.contact {
    background-image: url("images/footer.jpg");
    background-size: cover;
    padding-top: 40px;
    text-align: center;
}

.contact h2 {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    color: #ffffff;
    font-size: 64px;
    margin: 0;
}

.contact p {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    color: #ffffff;
    font-size: 24px;
}

footer {
    background-color: #ffffff;
    color: #3f3f3f;
    text-align: center;
    padding: 20px 0;
}

footer p a {
    color: #3d66ae;
    transition: color 0.3s ease-in-out;
}

footer p a:hover {
    color: #c72323;
}

@media (max-width: 1200px) {
    .wrapper {
        padding: 0 40px;
    }

    .gallery {
        column-count: 2;
    }
}

@media (max-width: 670px) {
    .wrapper {
        padding: 0 10px;
    }

    nav ul {
        display: flex;
        flex-direction: column;
        text-align: right;
        gap: 10px;
        padding: 10px 0;
        font-size: 14px;
    }

    .hero {
        padding-top: 10px;
    }

    .about {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto;
        gap: 40px;
        align-items: center;
        grid-template-areas:
            "text"
            "image"
            "buttons";
        padding: 0;
    }

    .contact-buttons-container button {
        margin: 0;
    }

    .gallery {
        column-count: 1;
        margin: 10px;
    }

    .services-container {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(3, 1fr);
        padding-bottom: 60px;
    }

    .services {
        padding: 0;
    }

    .services h2 {
        padding: 20px 0;
    }
}





